LinkageError (Java Platform SE 8 )
Keywords: java.lang.LinkageError class
Date: 2026-04-17

compact1, compact2, compact3
java.lang

## Class LinkageError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    BootstrapMethodError, ClassCircularityError, ClassFormatError, ExceptionInInitializerError, IncompatibleClassChangeError, NoClassDefFoundError, UnsatisfiedLinkError, VerifyError

      public class LinkageError
      extends Error

  Subclasses of `LinkageError` indicate that a class has some dependency on another class; however, the latter class has incompatibly changed after the compilation of the former class.
  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkageError()` Constructs a `LinkageError` with no detail message.
    `LinkageError(String s)` Constructs a `LinkageError` with the specified detail message.
    `LinkageError(String s, Throwable cause)` Constructs a `LinkageError` with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkageError

          public LinkageError()

      Constructs a `LinkageError` with no detail message.

    - #### LinkageError

          public LinkageError(String s)

      Constructs a `LinkageError` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### LinkageError

          public LinkageError(String s,
                              Throwable cause)

      Constructs a `LinkageError` with the specified detail message and cause.
      Parameters:
        `s` - the detail message.
        `cause` - the cause, may be `null`
      Since:
        1.7

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.